umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ModifiedWidget Class Reference
Inheritance diagram for ModifiedWidget:

## Public Member Functions
| ModifiedWidget (DocWindow *_parent)
void | setModified (bool state)
virtual void | mousePressEvent (QMouseEvent *ev)

## Public Attributes
DocWindow * | parent

## Detailed Description

Displays the 'modified' state of class DocWindow documentation.

Also provides left mouse click handler to apply documentation back to the related object/widget.

## Constructor & Destructor Documentation

## ◆ ModifiedWidget()

ModifiedWidget::ModifiedWidget | ( | DocWindow * | _parent | ) |
| inline

## Member Function Documentation

## ◆ mousePressEvent()

virtual void ModifiedWidget::mousePressEvent | ( | QMouseEvent * | ev | ) |
| inline virtual

## ◆ setModified()

void ModifiedWidget::setModified | ( | bool | state | ) |
| inline

## Member Data Documentation

## ◆ parent

DocWindow* ModifiedWidget::parent

The documentation for this class was generated from the following file:

- umbrello/docwindow.cpp